Upstream information

CVE-2017-7393 at MITRE

Description

In TigerVNC 1.7.1 (VNCSConnectionST.cxx VNCSConnectionST::fence), an authenticated client can cause a double free, leading to denial of service or potentially code execution.

SUSE information

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 6.52 6.00
Vector AV:N/AC:L/Au:S/C:P/I:P/A:P AV:N/AC:M/Au:S/C:P/I:P/A:P
Access Vector Network Network
Access Complexity Low Medium
Authentication Single Single
Confidentiality Impact Partial Partial
Integrity Impact Partial Partial
Availability Impact Partial Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 8.8 6.5
Vector AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H
Access Vector Network Network
Access Complexity Low Low
Privileges Required Low Low
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High None
Integrity Impact High None
Availability Impact High High
SUSE Bugzilla entries: 1031875 [RESOLVED / ], 1031879 [RESOLVED / ]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP1
  • tigervnc >= 1.4.3-24.1
  • xorg-x11-Xvnc >= 1.4.3-24.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP1-2017-636
SUSE Linux Enterprise Desktop 12 SP2
  • libXvnc1 >= 1.6.0-18.11.1
  • tigervnc >= 1.6.0-18.11.1
  • xorg-x11-Xvnc >= 1.6.0-18.11.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP2-2017-635
SUSE Linux Enterprise Server 12 SP1
  • tigervnc >= 1.4.3-24.1
  • xorg-x11-Xvnc >= 1.4.3-24.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2017-636
SUSE Linux Enterprise Server 12 SP2
  • libXvnc1 >= 1.6.0-18.11.1
  • tigervnc >= 1.6.0-18.11.1
  • xorg-x11-Xvnc >= 1.6.0-18.11.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2017-635
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • libXvnc1 >= 1.6.0-18.11.1
  • tigervnc >= 1.6.0-18.11.1
  • xorg-x11-Xvnc >= 1.6.0-18.11.1
Patchnames:
SUSE-SLE-RPI-12-SP2-2017-635
openSUSE Leap 42.1
  • tigervnc >= 1.5.0-40.1
  • tigervnc-debuginfo >= 1.5.0-40.1
  • tigervnc-debugsource >= 1.5.0-40.1
  • xorg-x11-Xvnc >= 1.5.0-40.1
  • xorg-x11-Xvnc-debuginfo >= 1.5.0-40.1
Patchnames:
openSUSE-2017-475
openSUSE Leap 42.2
  • libXvnc-devel >= 1.6.0-16.5.1
  • libXvnc1 >= 1.6.0-16.5.1
  • libXvnc1-debuginfo >= 1.6.0-16.5.1
  • tigervnc >= 1.6.0-16.5.1
  • tigervnc-debuginfo >= 1.6.0-16.5.1
  • tigervnc-debugsource >= 1.6.0-16.5.1
  • xorg-x11-Xvnc >= 1.6.0-16.5.1
  • xorg-x11-Xvnc-debuginfo >= 1.6.0-16.5.1
Patchnames:
openSUSE-2017-475